## ros-melodic-mrpt-msgs 0.1.22

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
set (CMAKE_CXX_STANDARD 14)
project(mrpt_msgs)

find_package(catkin REQUIRED COMPONENTS
    message_generation
    std_msgs
    geometry_msgs
    sensor_msgs
    )

add_message_files(
  DIRECTORY msg
  FILES
  ObservationRangeBearing.msg
  ObservationRangeBeacon.msg
  SingleRangeBearingObservation.msg
  SingleRangeBeaconObservation.msg
  GraphSlamStats.msg
  GraphSlamAgent.msg
  GraphSlamAgents.msg
  NodeIDWithPose.msg
  NodeIDWithLaserScan.msg
  NodeIDWithPose_vec.msg
  GraphConstraint.msg
  NetworkOfPoses.msg
  )


add_service_files(
   DIRECTORY srv
   FILES
   GetCMGraph.srv
   )

generate_messages(DEPENDENCIES
    std_msgs
    geometry_msgs
    sensor_msgs)

catkin_package(CATKIN_DEPENDS
    message_runtime
    std_msgs
    geometry_msgs
    sensor_msgs)

=== debian/changelog ===
ros-melodic-mrpt-msgs (0.1.22-0stretch) stretch; urgency=high

  * Release an an independent upstream repository, outside of "mrpt_navigation".

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 17 May 2018 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.21-0stretch) stretch; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * Merge branch 'master' into master
  * Merge branch 'master' into compat-mrpt-1.5
  * Adapted CMakeLists to new mrpt
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * update the definition of topic_namespace
  * Work towards mr-slam
  * Implement converion method for CNetworkOfPoses2DInf_NA specialization class
  * Add more msgs for use in mrpt_graphslam_2d
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 26 Apr 2018 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.20-0stretch) stretch; urgency=high

  * Merge branch 'master' into master
  * Merge branch 'master' into compat-mrpt-1.5
  * Adapted CMakeLists to new mrpt
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * update the definition of topic_namespace
  * Work towards mr-slam
  * Implement converion method for CNetworkOfPoses2DInf_NA specialization class
  * Add more msgs for use in mrpt_graphslam_2d
  * Contributors: Borys Tymchenko, Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 25 Apr 2018 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.18-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.17-0stretch) stretch; urgency=high

  * make catkin_lint clean
  * mrpt_bridge: Add conversion methods for Information-related Pose classes
  * Add graphslam-related messages, service
  * Add new GraphSlamStats msg.
    Message used primarily in the mrpt_graphslam_2d ROS application
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos, Jose Luis Blanco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.16-0stretch) stretch; urgency=high

  * Remove unecessary Pose2DStamped msg
  * Contributors: Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 12 Dec 2016 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.15-0stretch) stretch; urgency=high

  * Add Pose2DStamped ROS message
  * Contributors: Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 05 Nov 2016 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.14-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 11 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.13-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.12-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.11-0stretch) stretch; urgency=high

  * Add landmark to bridge.
  * Contributors: Logrus

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 20 Aug 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.10-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.9-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.8-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.7-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 19 Jun 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.6-0stretch) stretch; urgency=high

  * New range-only msgs
  * Contributors: Raphael Zack

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 19 Mar 2016 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.5-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Apr 2015 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.4-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 26 Dec 2014 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.3-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.2-0stretch) stretch; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.1-0stretch) stretch; urgency=high

  * First public binary release.

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.0-0stretch) stretch; urgency=high

  * consistent version numbers
  * Update all wiki URLs
  * metapkg mrpt_common -> mrpt_navigation

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-mrpt-msgs
Section: misc
Priority: extra
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/mrpt_msgs
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: ROS messages for MRPT classes and objects

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mrpt-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-mrpt-msgs 0.4.4

=== debian/changelog ===
ros-melodic-mrpt-msgs (0.4.4-1bionic) bionic; urgency=high

  * Correct build_type in package.xml (solves installing unexpected files, as reported [here](https://github.com/ros/rosdistro/pull/33532))
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 11 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-msgs (0.4.3-1bionic) bionic; urgency=high

  * Fix lint errors
  * Add contributing.md file
  * Rename license file as "LICENSE"
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 29 May 2022 22:00:00 -0000

ros-melodic-mrpt-msgs (0.4.2-1bionic) bionic; urgency=high

  * Fix build-farm test dependencies
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 17 May 2022 22:00:00 -0000

ros-melodic-mrpt-msgs (0.4.1-1bionic) bionic; urgency=high

  * add missing test dependencies
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 16 May 2022 22:00:00 -0000

ros-melodic-mrpt-msgs (0.4.0-1bionic) bionic; urgency=high

  * Linter fixes
  * Unify ROS1 / ROS2 builds in one branch
  * Add License file
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 12 May 2022 22:00:00 -0000

ros-melodic-mrpt-msgs (0.2.0-1bionic) bionic; urgency=high

  * Add generic observation msg
  * Merge pull request #1 <https://github.com/mrpt-ros-pkg/mrpt_msgs/issues/1> from tuw-robotics/master
    Add range-bearing object observations
  * Update URLs to https
  * Contributors: Felix König, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 04 Mar 2022 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.23-1bionic) bionic; urgency=high

  * catkin_lint clean
  * ROS build farm badges
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 07 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.22-1bionic) bionic; urgency=high

  * Release an an independent upstream repository, outside of "mrpt_navigation".

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 17 May 2018 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.21-1bionic) bionic; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * Merge branch 'master' into master
  * Merge branch 'master' into compat-mrpt-1.5
  * Adapted CMakeLists to new mrpt
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * update the definition of topic_namespace
  * Work towards mr-slam
  * Implement converion method for CNetworkOfPoses2DInf_NA specialization class
  * Add more msgs for use in mrpt_graphslam_2d
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 26 Apr 2018 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.20-1bionic) bionic; urgency=high

  * Merge branch 'master' into master
  * Merge branch 'master' into compat-mrpt-1.5
  * Adapted CMakeLists to new mrpt
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * update the definition of topic_namespace
  * Work towards mr-slam
  * Implement converion method for CNetworkOfPoses2DInf_NA specialization class
  * Add more msgs for use in mrpt_graphslam_2d
  * Contributors: Borys Tymchenko, Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 25 Apr 2018 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.18-1bionic) bionic; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.17-1bionic) bionic; urgency=high

  * make catkin_lint clean
  * mrpt_bridge: Add conversion methods for Information-related Pose classes
  * Add graphslam-related messages, service
  * Add new GraphSlamStats msg.
    Message used primarily in the mrpt_graphslam_2d ROS application
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos, Jose Luis Blanco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.16-1bionic) bionic; urgency=high

  * Remove unecessary Pose2DStamped msg
  * Contributors: Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 12 Dec 2016 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.15-1bionic) bionic; urgency=high

  * Add Pose2DStamped ROS message
  * Contributors: Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 05 Nov 2016 23:00:00 -0000

ros-melodic-mrpt-msgs (0.1.14-1bionic) bionic; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 11 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.13-1bionic) bionic; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.12-1bionic) bionic; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.11-1bionic) bionic; urgency=high

  * Add landmark to bridge.
  * Contributors: Logrus

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 20 Aug 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.10-1bionic) bionic; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.9-1bionic) bionic; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.8-1bionic) bionic; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-melodic-mrpt-msgs (0.1.7-1bionic) bionic; urgency=high





=== debian/control ===
Source: ros-melodic-mrpt-msgs
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-ros-environment, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: https://wiki.ros.org/mrpt_msgs
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: ROS messages for MRPT classes and objects

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
